org.apache.calcite.avatica.remote

## Class Service.CreateStatementRequest

- java.lang.Object
- - org.apache.calcite.avatica.remote.Service.Base
  - - org.apache.calcite.avatica.remote.Service.Request
    - - org.apache.calcite.avatica.remote.Service.CreateStatementRequest

Enclosing interface:
  Service

    public static class Service.CreateStatementRequest
    extends Service.Request

Request for `Meta.createStatement(org.apache.calcite.avatica.Meta.ConnectionHandle)`.

### Field Summary

Fields
`private static com.google.protobuf.Descriptors.FieldDescriptor` `CONNECTION_ID_DESCRIPTOR`
`String` `connectionId`

### Fields inherited from class org.apache.calcite.avatica.remote.Service.Base

`PRIME`

### Constructor Summary

Constructors
Constructor and Description
`Service.CreateStatementRequest()`
`Service.CreateStatementRequest(String connectionId)`

### Method Summary

Methods
`(package private) Service.CreateStatementResponse` `accept(Service service)`
`(package private) Service.CreateStatementRequest` `deserialize(com.google.protobuf.Message genericMsg)`
`boolean` `equals(Object o)`
`int` `hashCode()`
`(package private) Requests.CreateStatementRequest` `serialize()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONNECTION_ID_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor CONNECTION_ID_DESCRIPTOR

#### connectionId

    public final String connectionId

### Constructor Detail

#### Service.CreateStatementRequest

    Service.CreateStatementRequest()

#### Service.CreateStatementRequest

    public Service.CreateStatementRequest(String connectionId)

### Method Detail

#### accept

    Service.CreateStatementResponse accept(Service service)

Specified by:
  `accept` in class `Service.Request`

#### deserialize

    Service.CreateStatementRequest deserialize(com.google.protobuf.Message genericMsg)

Specified by:
  `deserialize` in class `Service.Request`

#### serialize

    Requests.CreateStatementRequest serialize()

Specified by:
  `serialize` in class `Service.Request`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`